KKeyServer::Sym struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KKeyServer::Sym Struct Reference

Represents a key symbol. More...

`#include <kkeyserver_x11.h>`

List of all members.

## Public Member Functions
| Sym ()
| Creates a null symbol.
| Sym (uint sym)
| Creates asymbol with the given value.
| Sym (const QString &s)
| Creates a symbol from the given string description.
bool | initQt (int keyQt)
| Initializes the symbol with the given Qt key code.
bool | init (const QString &s)
| Initializes the key with the given string description.
int | qt () const
| Returns the qt key code of the symbol.
QString | toStringInternal () const
QString | toString () const
| Returns the string representation of the symbol.
uint | getModsRequired () const
| Returns the mods that are required for this symbol as ORed KKey::ModFlag's.
uint | getSymVariation () const
| TODO: please find out what this method does and document it.
| operator uint () const
| Casts the symbol to its integer representation.
Sym & | operator= (uint sym)
| Overloaded operator to convert ints to Sym.
## Public Attributes
uint | m_sym
| the actual value of the symbol

## Detailed Description

Represents a key symbol.

See also:
  KKey

  KKeyServer

Definition at line 27 of file kkeyserver_x11.h.

## Constructor & Destructor Documentation

KKeyServer::Sym::Sym | ( |  | ) | `[inline]`

| Creates a null symbol. Definition at line 34 of file kkeyserver_x11.h. References m_sym.

KKeyServer::Sym::Sym | ( | uint | sym | ) | `[inline]`

  | Creates asymbol with the given value. Parameters:
  sym | the value
Definition at line 40 of file kkeyserver_x11.h. References m_sym.

KKeyServer::Sym::Sym | ( | const QString & | s | ) | `[inline]`

  | Creates a symbol from the given string description. Parameters:
  s | the description of the symbol
See also: toString() Definition at line 47 of file kkeyserver_x11.h. References init().

## Member Function Documentation

bool KKeyServer::Sym::initQt | ( | int | keyQt | ) |

  | Initializes the symbol with the given Qt key code. Parameters:
  keyQt | the qt key code
Returns: true if succesful, false otherwise See also: Qt::Key

bool KKeyServer::Sym::init | ( | const QString & | s | ) |

  | Initializes the key with the given string description. Parameters:
  s | the string description
Returns: true if succesful, false otherwise See also: toString() Referenced by Sym().

int KKeyServer::Sym::qt | ( |  | ) | const

| Returns the qt key code of the symbol. Returns: the qt key code

QString KKeyServer::Sym::toString | ( |  | ) | const

| Returns the string representation of the symbol. Returns: the string representation of the symbol

uint KKeyServer::Sym::getModsRequired | ( |  | ) | const

| Returns the mods that are required for this symbol as ORed KKey::ModFlag's. For example, Break requires a Ctrl to be valid. Returns: the required KKey::ModFlag's See also: KKey::ModFlag

uint KKeyServer::Sym::getSymVariation | ( |  | ) | const

| TODO: please find out what this method does and document it.

KKeyServer::Sym::operator uint | ( |  | ) | const`[inline]`

| Casts the symbol to its integer representation. Definition at line 100 of file kkeyserver_x11.h. References m_sym.

Sym& KKeyServer::Sym::operator= | ( | uint | sym | ) | `[inline]`

| Overloaded operator to convert ints to Sym. Definition at line 105 of file kkeyserver_x11.h. References m_sym.

## Member Data Documentation

uint KKeyServer::Sym::m_sym

| the actual value of the symbol Definition at line 31 of file kkeyserver_x11.h. Referenced by operator uint(), operator=(), and Sym().

The documentation for this struct was generated from the following file:

- kkeyserver_x11.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001